wxWidgets: wxHeaderColumnSimple Class Reference

| Version: 3.2.7

List of all members
wxHeaderColumnSimple Class Reference
Class List by Category » Controls

`#include <wx/headercol.h>`

Inheritance diagram for wxHeaderColumnSimple:
[legend]

## Detailed Description

Simple container for the information about the column.

This is a concrete class implementing all wxSettableHeaderColumn class methods in a trivial way, i.e. by just storing the information in the object itself. It is used by and with wxHeaderCtrlSimple, e.g.

wxHeaderCtrlSimple * header = new wxHeaderCtrlSimple(...);
wxHeaderColumnSimple col("Title");
col.SetWidth(100);
col.SetSortable(100);
header->AppendColumn(col);
wxHeaderColumnSimple
Simple container for the information about the column.
Definition: headercol.h:410
wxHeaderCtrlSimple
wxHeaderCtrlSimple is a concrete header control which can be used directly, without inheriting from i...
Definition: headerctrl.h:562
wxHeaderCtrlSimple::AppendColumn
void AppendColumn(const wxHeaderColumnSimple &col)
Append the column to the end of the control.

##

Library: wxCore
Category: Controls

## Public Member Functions
| wxHeaderColumnSimple (const wxString &title, int width=wxCOL_WIDTH_DEFAULT, wxAlignment align=wxALIGN_NOT, int flags=wxCOL_DEFAULT_FLAGS)
| Constructor for a column header. More...
| wxHeaderColumnSimple (const wxBitmapBundle &bitmap, int width=wxCOL_WIDTH_DEFAULT, wxAlignment align=wxALIGN_CENTER, int flags=wxCOL_DEFAULT_FLAGS)
| Constructor for a column header. More...
virtual void | SetTitle (const wxString &title)
| Trivial implementations of the base class pure virtual functions. More...
virtual wxString | GetTitle () const
| Trivial implementations of the base class pure virtual functions. More...
virtual void | SetBitmap (const wxBitmapBundle &bitmap)
| Trivial implementations of the base class pure virtual functions. More...
virtual wxBitmap | GetBitmap () const
| Trivial implementations of the base class pure virtual functions. More...
virtual wxBitmapBundle | GetBitmapBundle () const
| Trivial implementations of the base class pure virtual functions. More...
virtual void | SetWidth (int width)
| Trivial implementations of the base class pure virtual functions. More...
virtual int | GetWidth () const
| Trivial implementations of the base class pure virtual functions. More...
virtual void | SetMinWidth (int minWidth)
| Trivial implementations of the base class pure virtual functions. More...
virtual int | GetMinWidth () const
| Trivial implementations of the base class pure virtual functions. More...
virtual void | SetAlignment (wxAlignment align)
| Trivial implementations of the base class pure virtual functions. More...
virtual wxAlignment | GetAlignment () const
| Trivial implementations of the base class pure virtual functions. More...
virtual void | SetFlags (int flags)
| Trivial implementations of the base class pure virtual functions. More...
virtual int | GetFlags () const
| Trivial implementations of the base class pure virtual functions. More...
virtual bool | IsSortKey () const
| Trivial implementations of the base class pure virtual functions. More...
virtual void | SetSortOrder (bool ascending)
| Trivial implementations of the base class pure virtual functions. More...
virtual bool | IsSortOrderAscending () const
| Trivial implementations of the base class pure virtual functions. More...
Public Member Functions inherited from wxSettableHeaderColumn
void | ChangeFlag (int flag, bool set)
| Set or clear the given flag. More...
void | SetFlag (int flag)
| Set the specified flag for the column. More...
void | ClearFlag (int flag)
| Clear the specified flag for the column. More...
void | ToggleFlag (int flag)
| Toggle the specified flag for the column. More...
virtual void | SetResizeable (bool resizable)
| Call this to enable or disable interactive resizing of the column by the user. More...
virtual void | SetSortable (bool sortable)
| Allow clicking the column to sort the control contents by the field in this column. More...
virtual void | SetReorderable (bool reorderable)
| Allow changing the column order by dragging it. More...
virtual void | SetHidden (bool hidden)
| Hide or show the column. More...
void | UnsetAsSortKey ()
| Don't use this column for sorting. More...
void | ToggleSortOrder ()
| Inverses the sort order. More...
Public Member Functions inherited from wxHeaderColumn
bool | HasFlag (int flag) const
| Return true if the specified flag is currently set for this column. More...
virtual bool | IsResizeable () const
| Return true if the column can be resized by the user. More...
virtual bool | IsSortable () const
| Returns true if the column can be clicked by user to sort the control contents by the field in this column. More...
virtual bool | IsReorderable () const
| Returns true if the column can be dragged by user to change its order. More...
virtual bool | IsHidden () const
| Returns true if the column is currently hidden. More...
bool | IsShown () const
| Returns true if the column is currently shown. More...

## Constructor & Destructor Documentation

## ◆ wxHeaderColumnSimple() [1/2]

wxHeaderColumnSimple::wxHeaderColumnSimple | ( | const wxString & | title,
|  | int | width = `wxCOL_WIDTH_DEFAULT`,
|  | wxAlignment | align = `wxALIGN_NOT`,
|  | int | flags = `wxCOL_DEFAULT_FLAGS`
| ) |  |

Constructor for a column header.

The first constructor creates a header showing the given text title while the second one creates one showing the specified bitmap image.

## ◆ wxHeaderColumnSimple() [2/2]

wxHeaderColumnSimple::wxHeaderColumnSimple | ( | const wxBitmapBundle & | bitmap,
|  | int | width = `wxCOL_WIDTH_DEFAULT`,
|  | wxAlignment | align = `wxALIGN_CENTER`,
|  | int | flags = `wxCOL_DEFAULT_FLAGS`
| ) |  |

Constructor for a column header.

The first constructor creates a header showing the given text title while the second one creates one showing the specified bitmap image.

## Member Function Documentation

## ◆ GetAlignment()

virtual wxAlignment wxHeaderColumnSimple::GetAlignment | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

## ◆ GetBitmap()

virtual wxBitmap wxHeaderColumnSimple::GetBitmap | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

## ◆ GetBitmapBundle()

virtual wxBitmapBundle wxHeaderColumnSimple::GetBitmapBundle | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Reimplemented from wxHeaderColumn.

## ◆ GetFlags()

virtual int wxHeaderColumnSimple::GetFlags | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

## ◆ GetMinWidth()

virtual int wxHeaderColumnSimple::GetMinWidth | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

## ◆ GetTitle()

virtual wxString wxHeaderColumnSimple::GetTitle | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

## ◆ GetWidth()

virtual int wxHeaderColumnSimple::GetWidth | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

## ◆ IsSortKey()

virtual bool wxHeaderColumnSimple::IsSortKey | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

## ◆ IsSortOrderAscending()

virtual bool wxHeaderColumnSimple::IsSortOrderAscending | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

## ◆ SetAlignment()

virtual void wxHeaderColumnSimple::SetAlignment | ( | wxAlignment | align | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

## ◆ SetBitmap()

virtual void wxHeaderColumnSimple::SetBitmap | ( | const wxBitmapBundle & | bitmap | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

## ◆ SetFlags()

virtual void wxHeaderColumnSimple::SetFlags | ( | int | flags | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

## ◆ SetMinWidth()

virtual void wxHeaderColumnSimple::SetMinWidth | ( | int | minWidth | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

## ◆ SetSortOrder()

virtual void wxHeaderColumnSimple::SetSortOrder | ( | bool | ascending | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

## ◆ SetTitle()

virtual void wxHeaderColumnSimple::SetTitle | ( | const wxString & | title | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

## ◆ SetWidth()

virtual void wxHeaderColumnSimple::SetWidth | ( | int | width | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.